diff --git a/wcs/backoffice/management.py b/wcs/backoffice/management.py
index c3601b82..4d685bba 100644
--- a/wcs/backoffice/management.py
+++ b/wcs/backoffice/management.py
@@ -22,60 +22,69 @@ import re
 import time
 import types
 import urllib.parse
-import vobject
 import zipfile
 
+import vobject
 from django.conf import settings
 from django.utils.encoding import force_text
-
-from quixote import get_session, get_publisher, get_request, get_response, redirect
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+from quixote import get_session
+from quixote import redirect
 from quixote.directory import Directory
-from quixote.html import TemplateIO, htmltext, htmlescape
-
-from ..qommon import _, ngettext, N_, ezt, force_str
-from ..qommon.admin.emails import EmailsDirectory
-from ..qommon.admin.menu import command_icon
-from ..qommon.backoffice.menu import html_top
-from ..qommon.backoffice.listing import pagination_links
-from ..qommon import misc, get_logger
-from ..qommon.evalutils import make_datetime
-from ..qommon.misc import C_, ellipsize
-from ..qommon.afterjobs import AfterJob
-from ..qommon.substitution import CompatibilityNamesDict
-from ..qommon import emails
-from ..qommon import sms
-from ..qommon import errors
-from ..qommon import ods
-from ..qommon.form import *
-from ..qommon.form import PicklableUpload
-from ..qommon.storage import (
-    Equal,
-    NotEqual,
-    LessOrEqual,
-    GreaterOrEqual,
-    Or,
-    Intersects,
-    ILike,
-    FtsMatch,
-    Contains,
-    Null,
-    NotNull,
-)
-from ..qommon.template import Template
+from quixote.html import TemplateIO
+from quixote.html import htmlescape
+from quixote.html import htmltext
 
+from wcs.admin.settings import UserFieldsFormDef
 from wcs.api_utils import get_user_from_api_query_string
 from wcs.carddef import CardDef
-from wcs.conditions import Condition
-from wcs.forms.backoffice import FormDefUI
-from wcs.forms.common import FormStatusPage
-from wcs.admin.settings import UserFieldsFormDef
 from wcs.categories import Category
+from wcs.conditions import Condition
 from wcs.formdata import FormData
 from wcs.formdef import FormDef
+from wcs.forms.backoffice import FormDefUI
+from wcs.forms.common import FormStatusPage
 from wcs.roles import logged_users_role
 from wcs.variables import LazyFieldVar
-from wcs.workflows import template_on_formdata, WorkflowStatusItem
+from wcs.workflows import WorkflowStatusItem
+from wcs.workflows import template_on_formdata
 
+from ..qommon import N_
+from ..qommon import _
+from ..qommon import emails
+from ..qommon import errors
+from ..qommon import ezt
+from ..qommon import force_str
+from ..qommon import get_logger
+from ..qommon import misc
+from ..qommon import ngettext
+from ..qommon import ods
+from ..qommon import sms
+from ..qommon.admin.emails import EmailsDirectory
+from ..qommon.admin.menu import command_icon
+from ..qommon.afterjobs import AfterJob
+from ..qommon.backoffice.listing import pagination_links
+from ..qommon.backoffice.menu import html_top
+from ..qommon.evalutils import make_datetime
+from ..qommon.form import PicklableUpload
+from ..qommon.form import *
+from ..qommon.misc import C_
+from ..qommon.misc import ellipsize
+from ..qommon.storage import Contains
+from ..qommon.storage import Equal
+from ..qommon.storage import FtsMatch
+from ..qommon.storage import GreaterOrEqual
+from ..qommon.storage import ILike
+from ..qommon.storage import Intersects
+from ..qommon.storage import LessOrEqual
+from ..qommon.storage import NotEqual
+from ..qommon.storage import NotNull
+from ..qommon.storage import Null
+from ..qommon.storage import Or
+from ..qommon.substitution import CompatibilityNamesDict
+from ..qommon.template import Template
 from .submission import FormFillPage
 
 
diff --git a/wcs/backoffice/root.py b/wcs/backoffice/root.py
index b78d3687..057574a7 100644
--- a/wcs/backoffice/root.py
+++ b/wcs/backoffice/root.py
@@ -15,21 +15,12 @@
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
 from django.utils.translation import pgettext
-
-from quixote import get_publisher, get_request, get_response, redirect
-from quixote.html import TemplateIO, htmltext
-
-from ..qommon import _, N_
-from ..qommon.backoffice import BackofficeRootDirectory
-from ..qommon.backoffice.menu import html_top
-
-from ..qommon import misc, get_cfg
-from ..qommon import errors
-from ..qommon import template
-from ..qommon.afterjobs import AfterJob
-from ..qommon.form import *
-
-from wcs.formdef import FormDef
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+from quixote import redirect
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
 import wcs.admin.categories
 import wcs.admin.forms
@@ -37,12 +28,23 @@ import wcs.admin.roles
 import wcs.admin.settings
 import wcs.admin.users
 import wcs.admin.workflows
+from wcs.formdef import FormDef
 
-from . import studio
+from ..qommon import N_
+from ..qommon import _
+from ..qommon import errors
+from ..qommon import get_cfg
+from ..qommon import misc
+from ..qommon import template
+from ..qommon.afterjobs import AfterJob
+from ..qommon.backoffice import BackofficeRootDirectory
+from ..qommon.backoffice.menu import html_top
+from ..qommon.form import *
 from . import cards
-from . import submission
-from . import management
 from . import data_management
+from . import management
+from . import studio
+from . import submission
 
 
 class RootDirectory(BackofficeRootDirectory):
diff --git a/wcs/backoffice/snapshots.py b/wcs/backoffice/snapshots.py
index b4a78ae7..5806a9da 100644
--- a/wcs/backoffice/snapshots.py
+++ b/wcs/backoffice/snapshots.py
@@ -14,19 +14,29 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from quixote import get_publisher, get_response, redirect, get_session
+from quixote import get_publisher
+from quixote import get_response
+from quixote import get_session
+from quixote import redirect
 from quixote.directory import Directory
-from quixote.html import TemplateIO, htmltext
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
 from wcs.blocks import BlockDef
 from wcs.carddef import CardDef
 from wcs.data_sources import NamedDataSource
-from wcs.formdef import FormDef, FormdefImportError
+from wcs.formdef import FormDef
+from wcs.formdef import FormdefImportError
+from wcs.qommon import _
+from wcs.qommon import errors
+from wcs.qommon import misc
+from wcs.qommon import template
+from wcs.qommon.backoffice.menu import html_top
+from wcs.qommon.form import Form
+from wcs.qommon.form import RadiobuttonsWidget
+from wcs.qommon.form import StringWidget
 from wcs.workflows import Workflow
 from wcs.wscalls import NamedWsCall
-from wcs.qommon import _, errors, misc, template
-from wcs.qommon.backoffice.menu import html_top
-from wcs.qommon.form import Form, RadiobuttonsWidget, StringWidget
 
 
 class SnapshotsDirectory(Directory):
diff --git a/wcs/backoffice/studio.py b/wcs/backoffice/studio.py
index 3b0819c5..faf3c941 100644
--- a/wcs/backoffice/studio.py
+++ b/wcs/backoffice/studio.py
@@ -16,7 +16,8 @@
 
 from quixote import get_publisher
 from quixote.directory import Directory
-from quixote.html import TemplateIO, htmltext
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
 from wcs.admin.logged_errors import LoggedErrorsDirectory
 from wcs.qommon import _
diff --git a/wcs/backoffice/submission.py b/wcs/backoffice/submission.py
index e2ab2902..7ad8173e 100644
--- a/wcs/backoffice/submission.py
+++ b/wcs/backoffice/submission.py
@@ -17,23 +17,29 @@
 import time
 
 from django.utils.safestring import mark_safe
-
-from quixote import get_publisher, get_request, get_response, get_session, redirect
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+from quixote import get_session
+from quixote import redirect
 from quixote.directory import Directory
-from quixote.html import TemplateIO, htmltext
-
-from ..qommon import _
-from ..qommon.backoffice.menu import html_top
-from ..qommon.form import *
-from ..qommon.storage import Equal, NotEqual
-from ..qommon import errors, misc
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
+from wcs.categories import Category
 from wcs.formdata import FormData
 from wcs.formdef import FormDef
-from wcs.categories import Category
 from wcs.forms.common import FormStatusPage
 from wcs.forms.root import FormPage as PublicFormFillPage
 
+from ..qommon import _
+from ..qommon import errors
+from ..qommon import misc
+from ..qommon.backoffice.menu import html_top
+from ..qommon.form import *
+from ..qommon.storage import Equal
+from ..qommon.storage import NotEqual
+
 
 class RemoveDraftDirectory(Directory):
     def __init__(self, parent_directory):
diff --git a/wcs/blocks.py b/wcs/blocks.py
index 2325b8f3..7a347e5f 100644
--- a/wcs/blocks.py
+++ b/wcs/blocks.py
@@ -17,16 +17,20 @@
 import uuid
 import xml.etree.ElementTree as ET
 
-from quixote import get_request, get_publisher
-from quixote.html import htmltag, htmltext
-
-from .qommon import _, N_, misc
-from .qommon.form import CompositeWidget, WidgetList
-from .qommon.storage import StorableObject
-from .qommon.template import Template
+from quixote import get_publisher
+from quixote import get_request
+from quixote.html import htmltag
+from quixote.html import htmltext
 
 from . import data_sources
 from . import fields
+from .qommon import N_
+from .qommon import _
+from .qommon import misc
+from .qommon.form import CompositeWidget
+from .qommon.form import WidgetList
+from .qommon.storage import StorableObject
+from .qommon.template import Template
 
 
 class BlockdefImportError(Exception):
diff --git a/wcs/carddef.py b/wcs/carddef.py
index 7a01a174..8f0a33e4 100644
--- a/wcs/carddef.py
+++ b/wcs/carddef.py
@@ -18,13 +18,20 @@ import sys
 import types
 
 from quixote import get_publisher
-from .qommon import _, N_, misc
-from .qommon.storage import Contains, Equal, NotEqual, ILike
-from .qommon.template import Template
 
 from wcs.carddata import CardData
 from wcs.categories import CardDefCategory
-from wcs.formdef import FormDef, get_formdefs_of_all_kinds
+from wcs.formdef import FormDef
+from wcs.formdef import get_formdefs_of_all_kinds
+
+from .qommon import N_
+from .qommon import _
+from .qommon import misc
+from .qommon.storage import Contains
+from .qommon.storage import Equal
+from .qommon.storage import ILike
+from .qommon.storage import NotEqual
+from .qommon.template import Template
 
 if not hasattr(types, 'ClassType'):
     types.ClassType = type
@@ -89,8 +96,10 @@ class CardDef(FormDef):
 
     @classmethod
     def get_default_workflow(cls):
-        from wcs.workflows import EditableWorkflowStatusItem, ChoiceWorkflowStatusItem, Workflow
         from wcs.wf.remove import RemoveWorkflowStatusItem
+        from wcs.workflows import ChoiceWorkflowStatusItem
+        from wcs.workflows import EditableWorkflowStatusItem
+        from wcs.workflows import Workflow
 
         workflow = Workflow(name=_('Default (cards)'))
         workflow.id = '_carddef_default'
diff --git a/wcs/compat.py b/wcs/compat.py
index 0e251264..5266d68e 100644
--- a/wcs/compat.py
+++ b/wcs/compat.py
@@ -15,13 +15,12 @@
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
 import os
-
-from threading import Lock
 from contextlib import contextmanager
+from threading import Lock
 
 from django.utils.deprecation import MiddlewareMixin
-
-from quixote import get_publisher, get_request
+from quixote import get_publisher
+from quixote import get_request
 from quixote.errors import PublishError
 from quixote.http_request import Upload
 
@@ -30,16 +29,19 @@ try:
 except ImportError:
     sentry_sdk = None
 
-from django.http import HttpResponse
 from django.conf import settings
-from django.template import loader, TemplateDoesNotExist
+from django.http import HttpResponse
+from django.template import TemplateDoesNotExist
+from django.template import loader
 from django.template.response import TemplateResponse
 from django.views.generic.base import TemplateView
 
-from .qommon import force_str, template
-from .qommon.publisher import get_cfg, set_publisher_class
 from .publisher import WcsPublisher
+from .qommon import force_str
+from .qommon import template
 from .qommon.http_request import HTTPRequest
+from .qommon.publisher import get_cfg
+from .qommon.publisher import set_publisher_class
 
 
 def can_sentry():
diff --git a/wcs/conditions.py b/wcs/conditions.py
index 64c397f7..4a76723e 100644
--- a/wcs/conditions.py
+++ b/wcs/conditions.py
@@ -14,12 +14,16 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from quixote import get_publisher
-from django.template import Context, Template, TemplateSyntaxError
 import django.template.smartif
+from django.template import Context
+from django.template import Template
+from django.template import TemplateSyntaxError
 from django.utils.encoding import force_text
+from quixote import get_publisher
 
-from .qommon import _, get_logger, force_str
+from .qommon import _
+from .qommon import force_str
+from .qommon import get_logger
 
 
 class ValidationError(ValueError):
diff --git a/wcs/context_processors.py b/wcs/context_processors.py
index 8704455c..ba96e790 100644
--- a/wcs/context_processors.py
+++ b/wcs/context_processors.py
@@ -14,7 +14,10 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from quixote import get_publisher, get_response, get_request, get_session
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+from quixote import get_session
 
 
 def get_global_context():
diff --git a/wcs/ctl/backup.py b/wcs/ctl/backup.py
index ae3e882f..214b8a44 100644
--- a/wcs/ctl/backup.py
+++ b/wcs/ctl/backup.py
@@ -14,11 +14,12 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
+import os
 import tarfile
 import time
-import os
 
-from ..qommon.ctl import Command, make_option
+from ..qommon.ctl import Command
+from ..qommon.ctl import make_option
 
 
 class CmdBackup(Command):
diff --git a/wcs/ctl/check_hobos.py b/wcs/ctl/check_hobos.py
index 31b35129..a0600570 100644
--- a/wcs/ctl/check_hobos.py
+++ b/wcs/ctl/check_hobos.py
@@ -17,25 +17,29 @@
 from __future__ import print_function
 
 import configparser
+import hashlib
 import json
 import os
 import random
 import sys
 import tempfile
-import hashlib
 import urllib.parse
 
-from django.utils.encoding import force_bytes, force_text
-
+from django.utils.encoding import force_bytes
+from django.utils.encoding import force_text
 from quixote import cleanup
+
+from wcs.admin.settings import UserFieldsFormDef
+from wcs.fields import DateField
+from wcs.fields import EmailField
+from wcs.fields import StringField
 from wcs.qommon import force_str
+
 from ..qommon import misc
-from ..qommon.ctl import Command, make_option
+from ..qommon.ctl import Command
+from ..qommon.ctl import make_option
 from ..qommon.storage import atomic_write
 
-from wcs.admin.settings import UserFieldsFormDef
-from wcs.fields import StringField, EmailField, DateField
-
 
 class NoChange(Exception):
     pass
diff --git a/wcs/ctl/delete_tenant.py b/wcs/ctl/delete_tenant.py
index ca2d9fae..1eb3fa70 100644
--- a/wcs/ctl/delete_tenant.py
+++ b/wcs/ctl/delete_tenant.py
@@ -18,12 +18,14 @@ from __future__ import print_function
 
 import os
 import sys
-import psycopg2
-import psycopg2.errorcodes
 from datetime import datetime
 from shutil import rmtree
 
-from ..qommon.ctl import Command, make_option
+import psycopg2
+import psycopg2.errorcodes
+
+from ..qommon.ctl import Command
+from ..qommon.ctl import make_option
 
 
 class CmdDeleteTenant(Command):
diff --git a/wcs/ctl/management/commands/__init__.py b/wcs/ctl/management/commands/__init__.py
index 8a056a30..6040e1e9 100644
--- a/wcs/ctl/management/commands/__init__.py
+++ b/wcs/ctl/management/commands/__init__.py
@@ -16,7 +16,8 @@
 
 import os
 
-from django.core.management.base import BaseCommand, CommandError
+from django.core.management.base import BaseCommand
+from django.core.management.base import CommandError
 
 from wcs.qommon.publisher import get_publisher_class
 
diff --git a/wcs/ctl/management/commands/trigger_jumps.py b/wcs/ctl/management/commands/trigger_jumps.py
index 31130263..d5a22271 100644
--- a/wcs/ctl/management/commands/trigger_jumps.py
+++ b/wcs/ctl/management/commands/trigger_jumps.py
@@ -17,12 +17,12 @@
 import json
 
 from django.core.management.base import CommandError
-
 from quixote import get_publisher
 
 from wcs.formdef import FormDef
+from wcs.wf.jump import JumpWorkflowStatusItem
+from wcs.wf.jump import jump_and_perform as wcs_jump_and_perform
 from wcs.workflows import Workflow
-from wcs.wf.jump import JumpWorkflowStatusItem, jump_and_perform as wcs_jump_and_perform
 
 from . import TenantCommand
 
diff --git a/wcs/ctl/rebuild_indexes.py b/wcs/ctl/rebuild_indexes.py
index 83e1bd0b..f6189cf3 100644
--- a/wcs/ctl/rebuild_indexes.py
+++ b/wcs/ctl/rebuild_indexes.py
@@ -16,7 +16,8 @@
 
 import os
 
-from ..qommon.ctl import Command, make_option
+from ..qommon.ctl import Command
+from ..qommon.ctl import make_option
 
 
 def rebuild_vhost_indexes(pub, destroy=False):
diff --git a/wcs/ctl/restore.py b/wcs/ctl/restore.py
index 694017c7..11c9d6d1 100644
--- a/wcs/ctl/restore.py
+++ b/wcs/ctl/restore.py
@@ -16,11 +16,12 @@
 
 from __future__ import print_function
 
+import os
 import sys
 import tarfile
-import os
 
-from ..qommon.ctl import Command, make_option
+from ..qommon.ctl import Command
+from ..qommon.ctl import make_option
 
 
 class CmdRestore(Command):
diff --git a/wcs/ctl/runscript.py b/wcs/ctl/runscript.py
index 52aaa761..d747679e 100644
--- a/wcs/ctl/runscript.py
+++ b/wcs/ctl/runscript.py
@@ -16,10 +16,11 @@
 
 import os.path
 import runpy
-import warnings
 import sys
+import warnings
 
-from ..qommon.ctl import Command, make_option
+from ..qommon.ctl import Command
+from ..qommon.ctl import make_option
 
 
 class CmdRunScript(Command):
diff --git a/wcs/ctl/wipe_data.py b/wcs/ctl/wipe_data.py
index 782e06c2..f32d9dfd 100644
--- a/wcs/ctl/wipe_data.py
+++ b/wcs/ctl/wipe_data.py
@@ -19,7 +19,8 @@ from __future__ import print_function
 import os
 import sys
 
-from ..qommon.ctl import Command, make_option
+from ..qommon.ctl import Command
+from ..qommon.ctl import make_option
 
 
 class CmdWipeData(Command):
diff --git a/wcs/custom_views.py b/wcs/custom_views.py
index 715a82d1..c78d44cc 100644
--- a/wcs/custom_views.py
+++ b/wcs/custom_views.py
@@ -22,8 +22,11 @@ from quixote import get_publisher
 
 from wcs.carddef import CardDef
 from wcs.formdef import FormDef
-from wcs.qommon.storage import StorableObject, Equal, Contains
 from wcs.qommon.misc import simplify
+from wcs.qommon.storage import Contains
+from wcs.qommon.storage import Equal
+from wcs.qommon.storage import StorableObject
+
 from .qommon.misc import xml_node_text
 
 
diff --git a/wcs/data_sources.py b/wcs/data_sources.py
index 8e9ffa23..05ef365e 100644
--- a/wcs/data_sources.py
+++ b/wcs/data_sources.py
@@ -20,28 +20,31 @@ import sys
 import urllib.parse
 import xml.etree.ElementTree as ET
 
-from django.template import TemplateSyntaxError, VariableDoesNotExist
-from django.utils.encoding import force_text, force_bytes
-
-from quixote import get_publisher, get_request, get_session
+from django.template import TemplateSyntaxError
+from django.template import VariableDoesNotExist
+from django.utils.encoding import force_bytes
+from django.utils.encoding import force_text
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_session
 from quixote.html import TemplateIO
 
-from .qommon import _, N_, force_str
-from .qommon import misc
+from .api_utils import sign_url_auto_orig
+from .qommon import N_
+from .qommon import _
+from .qommon import force_str
 from .qommon import get_logger
+from .qommon import misc
+from .qommon.afterjobs import AfterJob
 from .qommon.cron import CronJob
 from .qommon.form import *
 from .qommon.humantime import seconds2humanduration
 from .qommon.misc import get_variadic_url
 from .qommon.publisher import get_publisher_class
-from .qommon.afterjobs import AfterJob
 from .qommon.storage import StorableObject
 from .qommon.template import Template
 from .qommon.xml_storage import XmlStorableObject
 
-from .api_utils import sign_url_auto_orig
-
-
 data_source_functions = {}
 
 
diff --git a/wcs/fields.py b/wcs/fields.py
index c7f91bfd..780b457e 100644
--- a/wcs/fields.py
+++ b/wcs/fields.py
@@ -16,45 +16,51 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
+import base64
+import collections
 import copy
 import datetime
 import html
 import os
-import time
 import random
 import re
 import sys
-import base64
+import time
 import xml.etree.ElementTree as ET
-import collections
-
-from quixote import get_request, get_publisher
-from quixote.html import htmltag, htmltext, TemplateIO
 
-from django.utils.encoding import force_bytes, force_text, smart_text
+from django.utils.encoding import force_bytes
+from django.utils.encoding import force_text
+from django.utils.encoding import smart_text
 from django.utils.formats import date_format as django_date_format
 from django.utils.html import urlize
-
-from .qommon import _, N_, force_str
-from .qommon import evalutils
-from .qommon.form import *
-from .qommon.misc import (
-    strftime,
-    date_format,
-    ellipsize,
-    xml_node_text,
-    get_as_datetime,
-    get_document_types,
-    get_document_type_value_options,
-)
-from .qommon.ods import NS as OD_NS, clean_text as od_clean_text
-from .qommon.template import Template, TemplateError
-from .qommon import get_cfg
+from quixote import get_publisher
+from quixote import get_request
+from quixote.html import TemplateIO
+from quixote.html import htmltag
+from quixote.html import htmltext
 
 from . import data_sources
 from . import portfolio
+from .blocks import BlockDef
+from .blocks import BlockWidget
 from .conditions import Condition
-from .blocks import BlockDef, BlockWidget
+from .qommon import N_
+from .qommon import _
+from .qommon import evalutils
+from .qommon import force_str
+from .qommon import get_cfg
+from .qommon.form import *
+from .qommon.misc import date_format
+from .qommon.misc import ellipsize
+from .qommon.misc import get_as_datetime
+from .qommon.misc import get_document_type_value_options
+from .qommon.misc import get_document_types
+from .qommon.misc import strftime
+from .qommon.misc import xml_node_text
+from .qommon.ods import NS as OD_NS
+from .qommon.ods import clean_text as od_clean_text
+from .qommon.template import Template
+from .qommon.template import TemplateError
 
 
 class PrefillSelectionWidget(CompositeWidget):
diff --git a/wcs/formdata.py b/wcs/formdata.py
index 8be798d6..aecb18b8 100644
--- a/wcs/formdata.py
+++ b/wcs/formdata.py
@@ -22,19 +22,25 @@ import re
 import sys
 import time
 
-from quixote import get_request, get_publisher, get_session
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_session
 from quixote.http_request import Upload
 
-from .qommon import _, N_
-from .qommon.storage import StorableObject, Intersects, Contains, Null
+from .fields import FileField
+from .qommon import N_
+from .qommon import _
 from .qommon import misc
 from .qommon.evalutils import make_datetime
 from .qommon.publisher import get_cfg
-from .qommon.substitution import Substitutions, invalidate_substitution_cache
+from .qommon.storage import Contains
+from .qommon.storage import Intersects
+from .qommon.storage import Null
+from .qommon.storage import StorableObject
+from .qommon.substitution import Substitutions
+from .qommon.substitution import invalidate_substitution_cache
 from .qommon.template import Template
 
-from .fields import FileField
-
 
 def get_dict_with_varnames(fields, data, formdata=None, varnames_only=False):
     new_data = {}
@@ -910,9 +916,10 @@ class FormData(StorableObject):
         return LazyFormData(self)
 
     def get_substitution_variables(self, minimal=False):
-        from .qommon.substitution import CompatibilityNamesDict
         from wcs.workflows import AttachmentsSubstitutionProxy
 
+        from .qommon.substitution import CompatibilityNamesDict
+
         variables = CompatibilityNamesDict(
             {
                 'form': self.get_as_lazy(),
@@ -1296,6 +1303,7 @@ class FormData(StorableObject):
     def iter_target_datas(self, objectdef=None, object_type=None, status_item=None):
         # objectdef, object_type and status_item are provided when called from a workflow action
         from wcs.wf.create_formdata import LinkedFormdataEvolutionPart
+
         from .carddef import CardDef
         from .formdef import FormDef
 
diff --git a/wcs/formdef.py b/wcs/formdef.py
index b4d126bb..e83d7cb3 100644
--- a/wcs/formdef.py
+++ b/wcs/formdef.py
@@ -16,35 +16,42 @@
 
 import base64
 import copy
+import datetime
 import glob
 import itertools
+import json
 import pickle
 import sys
 import time
 import types
-import json
 import xml.etree.ElementTree as ET
-import datetime
-
-from django.utils.encoding import force_bytes, force_text
 
-from quixote import get_request, get_publisher
+from django.utils.encoding import force_bytes
+from django.utils.encoding import force_text
+from quixote import get_publisher
+from quixote import get_request
 from quixote.http_request import Upload
 
-from .qommon import _, N_, force_str, PICKLE_KWARGS
-from .qommon.storage import StorableObject, fix_key, Equal
+from . import data_sources
+from . import fields
+from .categories import Category
+from .formdata import FormData
+from .qommon import N_
+from .qommon import PICKLE_KWARGS
+from .qommon import _
+from .qommon import force_str
+from .qommon import get_cfg
 from .qommon.cron import CronJob
 from .qommon.form import *
-from .qommon.misc import simplify, get_as_datetime, xml_node_text
-from .qommon import get_cfg
-from .qommon.substitution import Substitutions
+from .qommon.misc import get_as_datetime
+from .qommon.misc import simplify
+from .qommon.misc import xml_node_text
 from .qommon.publisher import get_publisher_class
-
-from .formdata import FormData
+from .qommon.storage import Equal
+from .qommon.storage import StorableObject
+from .qommon.storage import fix_key
+from .qommon.substitution import Substitutions
 from .roles import logged_users_role
-from .categories import Category
-from . import fields
-from . import data_sources
 
 DRAFTS_DEFAULT_LIFESPAN = 100  # days
 
@@ -1358,9 +1365,10 @@ class FormDef(StorableObject):
         return d
 
     def get_substitution_variables(self, minimal=False):
-        from .qommon.substitution import CompatibilityNamesDict
         from wcs.variables import LazyFormDef
 
+        from .qommon.substitution import CompatibilityNamesDict
+
         return CompatibilityNamesDict({'form': LazyFormDef(self)})
 
     def get_detailed_evolution(self, formdata):
@@ -1764,10 +1772,10 @@ def clean_unused_files(publisher):
 
 
 def get_formdefs_of_all_kinds():
+    from wcs.admin.settings import UserFieldsFormDef
     from wcs.blocks import BlockDef
     from wcs.carddef import CardDef
     from wcs.wf.form import FormWorkflowStatusItem
-    from wcs.admin.settings import UserFieldsFormDef
     from wcs.workflows import Workflow
 
     kwargs = {
diff --git a/wcs/forms/backoffice.py b/wcs/forms/backoffice.py
index 28489bcc..4421d03e 100644
--- a/wcs/forms/backoffice.py
+++ b/wcs/forms/backoffice.py
@@ -16,15 +16,20 @@
 
 import urllib.parse
 
-from quixote import get_request, get_publisher, get_session, redirect
-from quixote.html import htmltext, TemplateIO
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_session
+from quixote import redirect
+from quixote.html import TemplateIO
+from quixote.html import htmltext
+
+from wcs.qommon.storage import Null
+from wcs.roles import logged_users_role
 
 from ..qommon import _
 from ..qommon import misc
-from ..qommon.form import *
 from ..qommon.backoffice.listing import pagination_links
-from wcs.qommon.storage import Null
-from wcs.roles import logged_users_role
+from ..qommon.form import *
 
 
 class FormDefUI(object):
diff --git a/wcs/forms/common.py b/wcs/forms/common.py
index a9b9ff74..b8e57ab7 100644
--- a/wcs/forms/common.py
+++ b/wcs/forms/common.py
@@ -17,27 +17,34 @@
 import time
 import urllib.parse
 
-from quixote import get_publisher, get_request, get_response, get_session, redirect
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+from quixote import get_session
+from quixote import redirect
 from quixote.directory import Directory
-from quixote.html import TemplateIO, htmltext
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 from quixote.util import randbytes
 
 from wcs import data_sources
-from wcs.blocks import BlockWidget, BlockSubWidget
-from wcs.api_utils import get_user_from_api_query_string, is_url_signed, sign_url_auto_orig
-from wcs.fields import WidgetField, FileField
+from wcs.api_utils import get_user_from_api_query_string
+from wcs.api_utils import is_url_signed
+from wcs.api_utils import sign_url_auto_orig
+from wcs.blocks import BlockSubWidget
+from wcs.blocks import BlockWidget
+from wcs.fields import FileField
+from wcs.fields import WidgetField
+from wcs.qommon.admin.texts import TextsDirectory
 from wcs.workflows import EditableWorkflowStatusItem
 
 from ..qommon import _
+from ..qommon import errors
+from ..qommon import get_logger
 from ..qommon import misc
 from ..qommon import template
-from ..qommon import get_logger
 from ..qommon.form import *
 
-from wcs.qommon.admin.texts import TextsDirectory
-
-from ..qommon import errors
-
 
 class FileDirectory(Directory):
     _q_exports = []
diff --git a/wcs/forms/preview.py b/wcs/forms/preview.py
index 9377f8ab..a9097e40 100644
--- a/wcs/forms/preview.py
+++ b/wcs/forms/preview.py
@@ -15,10 +15,13 @@
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
 from quixote import get_publisher
-from quixote.directory import Directory, AccessControlled
-from quixote.html import htmltext, TemplateIO
-from ..qommon import errors, _
+from quixote.directory import AccessControlled
+from quixote.directory import Directory
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
+from ..qommon import _
+from ..qommon import errors
 from .root import FormPage
 
 
